TagLib::ByteVectorList Class Reference

A list of ByteVectors. More...

`#include <tbytevectorlist.h>`

Inheritance diagram for TagLib::ByteVectorList:
[legend]
Collaboration diagram for TagLib::ByteVectorList:
[legend]

## Public Member Functions

TAGLIB_EXPORT | ByteVectorList ()
TAGLIB_EXPORT | ~ByteVectorList ()
TAGLIB_EXPORT | ByteVectorList (const ByteVectorList &l)
TAGLIB_EXPORT | ByteVectorList (std::initializer_list< ByteVector > init)
TAGLIB_EXPORT ByteVectorList & | operator= (const ByteVectorList &)
TAGLIB_EXPORT ByteVectorList & | operator= (std::initializer_list< ByteVector > init)
TAGLIB_EXPORT ByteVector | toByteVector (const ByteVector &separator=" ") const
Public Member Functions inherited from TagLib::List< ByteVector >
| List ()
| ~List ()
Iterator | begin ()
ConstIterator | cbegin () const
Iterator | end ()
ConstIterator | cend () const
Iterator | insert (Iterator it, const ByteVector &item)
List< ByteVector > & | sortedInsert (const ByteVector &value, bool unique=false)
List< ByteVector > & | append (const ByteVector &item)
List< ByteVector > & | prepend (const ByteVector &item)
List< ByteVector > & | clear ()
unsigned int | size () const
bool | isEmpty () const
Iterator | find (const ByteVector &value)
ConstIterator | cfind (const ByteVector &value) const
bool | contains (const ByteVector &value) const
Iterator | erase (Iterator it)
const ByteVector & | front () const
const ByteVector & | back () const
void | setAutoDelete (bool autoDelete)
bool | autoDelete () const
ByteVector & | operator[] (unsigned int i)
List< ByteVector > & | operator= (const List< ByteVector > &l)
void | swap (List< ByteVector > &l) noexcept
bool | operator== (const List< ByteVector > &l) const
bool | operator!= (const List< ByteVector > &l) const
void | sort ()

## Static Public Member Functions

static TAGLIB_EXPORT ByteVectorList | split (const ByteVector &v, const ByteVector &pattern, int byteAlign=1, int max=0)

## Related Symbols

(Note that these are not member symbols.)
std::ostream TAGLIB_EXPORT & | operator<< (std::ostream &s, const TagLib::ByteVectorList &l)

## Additional Inherited Members

Protected Member Functions inherited from TagLib::List< ByteVector >
void | detach ()

## Detailed Description

A list of ByteVectors.

A List specialization with some handy features useful for ByteVectors.

## Constructor & Destructor Documentation

## ByteVectorList() [1/3]

TAGLIB_EXPORT TagLib::ByteVectorList::ByteVectorList | ( |  | ) |

Construct an empty ByteVectorList.

References TAGLIB_EXPORT.

Referenced by ByteVectorList(), operator=(), operator=(), and split().

## ~ByteVectorList()

TAGLIB_EXPORT TagLib::ByteVectorList::~ByteVectorList | ( |  | ) |

Destroys this ByteVectorList instance.

References TAGLIB_EXPORT.

## ByteVectorList() [2/3]

TAGLIB_EXPORT TagLib::ByteVectorList::ByteVectorList | ( | const ByteVectorList & | l | ) |

Make a shallow, implicitly shared, copy of l. Because this is implicitly shared, this method is lightweight and suitable for pass-by-value usage.

References ByteVectorList(), and TAGLIB_EXPORT.

## ByteVectorList() [3/3]

TAGLIB_EXPORT TagLib::ByteVectorList::ByteVectorList | ( | std::initializer_list< ByteVector > | init | ) |

Construct a ByteVectorList with the contents of the braced initializer list.

References TAGLIB_EXPORT.

## Member Function Documentation

## operator=() [1/2]

TAGLIB_EXPORT ByteVectorList & TagLib::ByteVectorList::operator= | ( | const ByteVectorList & |  | ) |

References ByteVectorList(), and TAGLIB_EXPORT.

## operator=() [2/2]

TAGLIB_EXPORT ByteVectorList & TagLib::ByteVectorList::operator= | ( | std::initializer_list< ByteVector > | init | ) |

References ByteVectorList(), and TAGLIB_EXPORT.

## split()

TAGLIB_EXPORT ByteVectorList TagLib::ByteVectorList::split | ( | const ByteVector & | v,
|  | const ByteVector & | pattern,
|  | int | byteAlign = 1,
|  | int | max = 0 )

static

Splits the ByteVector v into several strings at pattern. This will not include the pattern in the returned ByteVectors. max is the maximum number of entries that will be separated. If max for instance is 2 then a maximum of 1 match will be found and the vector will be split on that match.

References ByteVectorList().

## toByteVector()

TAGLIB_EXPORT ByteVector TagLib::ByteVectorList::toByteVector | ( | const ByteVector & | separator = " " | ) | const

Convert the ByteVectorList to a ByteVector separated by separator. By default a space is used.

References TAGLIB_EXPORT.

## Friends And Related Symbol Documentation

## operator<<()

std::ostream TAGLIB_EXPORT & operator<< | ( | std::ostream & | s,
|  | const TagLib::ByteVectorList & | l )

related

Send the ByteVectorList to an output stream.

References TAGLIB_EXPORT.

The documentation for this class was generated from the following file:

- tbytevectorlist.h